When both were set to priority 1: They would alternate between the two tasks evenly

When either was given the higher priority of 2 it would interrupt the other task and the higher 
priority would run until completion and then the lower prioirty task would be able to restart but then 
would get interrupted again by the higher prioirity item.